All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.navigationbar
Class BaseNavigationBarElementTag

    com.sas.taglib.servlet.tbeans.navigationbar.BaseNavigationBarElementTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  NavigationBarEditingElementTag, NavigationBarScrollingElementTag

    public class BaseNavigationBarElementTag

The base tag for the NavigationBar elements.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationTag
`DEFAULT_CLIENT_INFO_INSTANCE, HDML, HTML, WML`

Fields inherited from class com.sas.taglib.BaseTag
`APPLICATION, PAGE, RB_KEY, REQUEST, SESSION`

Constructor Summary
`BaseNavigationBarElementTag()`

Method Summary
`protected void` | `applyAttributes()` Apply TableView properties to the underlying NavigationBar object
`int` | `doEndTag()` This method processes the end tag for this instance.
`java.lang.String` | `getModel()` Returns the model property of the NavigationBarElementTag.
`java.lang.String` | `getStyleClassPrefix()` Returns the styleClassPrefix property of the NavigationBarElementTag.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setModel(java.lang.String model)` Sets the model property of the NavigationBarElementTag.
`void` | `setStyleClassPrefix(java.lang.String prefix)` Sets the styleClassPrefix property of the NavigationBarElementTag.

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseActionTransformationTag
`getActionProvider, setActionProvider`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationTag
`doStartTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseTag
`convertScope, doCatch, doFinally, getApplyAttributes, getComponentFromParentComposite, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setComponentOnParentComposite, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### BaseNavigationBarElementTag

    public BaseNavigationBarElementTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseActionTransformationTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setModel

    public void setModel(java.lang.String model)

  Sets the model property of the NavigationBarElementTag.

  Parameters:
    `model` - The model of the NavigationBarElement. It must implement com.sas.servlet.tbeans.navigationbar.BaseNavigationInterface.

### getModel

    public java.lang.String getModel()

  Returns the model property of the NavigationBarElementTag.

  Returns:
    the String that represents the com.sas.servlet.tbeans.navigationbar.BaseNavigationInterface instance to use as the model

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String prefix)

  Sets the styleClassPrefix property of the NavigationBarElementTag.

  Parameters:
    `prefix` - The string use for setting the styleClassPrefix on the NavigationBar element.

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Returns the styleClassPrefix property of the NavigationBarElementTag.

  Returns:
    the String for the styleClassPrefix property

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Apply TableView properties to the underlying NavigationBar object

  Overrides:
    `applyAttributes` in class `BaseActionTransformationTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  This method processes the end tag for this instance. The doEndTag() method will render the underlying tbean unless it has a parent.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.